
From: Zwane Mwaikambo <zwane@arm.linux.org.uk>

Booting with NX, CONFIG_X86_PAE and CONFIG_DEBUG_PAGEALLOC or mem=nopentium
triple faults really early during boot as it appears to be tripping over
pages from PAGE_OFFSET -> PAGE_OFFSET + 0x100000 not being marked as
executable.

Signed-off-by: Zwane Mwaikambo <zwane@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/init.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/mm/init.c~nx-triple-fault-with-4k-kernel-mappings-and-pae arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~nx-triple-fault-with-4k-kernel-mappings-and-pae	2004-12-06 14:03:12.999527096 -0800
+++ 25-akpm/arch/i386/mm/init.c	2004-12-06 14:03:13.003526488 -0800
@@ -126,7 +126,7 @@ static void __init page_table_range_init
 
 static inline int is_kernel_text(unsigned long addr)
 {
-	if (addr >= (unsigned long)_stext && addr <= (unsigned long)__init_end)
+	if (addr >= PAGE_OFFSET && addr <= (unsigned long)__init_end)
 		return 1;
 	return 0;
 }
_
